%define name 		leif
%define version 	0.7
%define release 	%mkrel 7
%define summary		KDE tool for sony/ericsson mobile phone

Name: 			%{name}
Summary: 		%{summary}
Version: 		%{version}
Release: 		%{release}
License:		GPLv2+
URL:			http://sourceforge.net/projects/leif/
Source: 		%{name}-%{version}.tar.bz2
Patch0:			leif-0.7-desktop-fix.patch
Group:			System/Configuration/Hardware
BuildRequires:		kdelibs-devel openobex-devel
BuildRequires:		bluez-devel bluez-sdp-devel ezV24-devel
%if %mdkversion > 200900
Requires:		bluez
%else
Requires:		bluez-utils
%endif
BuildRoot: 		%{_tmppath}/%{name}-%{version}-buildroot

%description
leif is a tool for managing your sony/ericsson t68/t68i/T610/...
mobile phone. it supports phonebook editing, file uploading and
sms management.
Support for Bluetooth and IrDA

%prep
%setup -q
%patch0 -p0

%build
%define __libtoolize /bin/true
%configure_kde3 --disable-final
./remove-pedantic.sh
%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor='' --delete-original \
	--dir %buildroot%_kde3_datadir/applications \
	%buildroot%_kde3_datadir/applnk/Utilities/leif.desktop

%clean
rm -rf %buildroot

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files
%defattr (-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%_kde3_bindir/%{name}
%_kde3_docdir/HTML/en/%name
%_kde3_datadir/applications/*.desktop
%{_kde3_iconsdir}/hicolor/*/apps/*


%changelog
* Wed Oct 15 2008 Funda Wang <fundawang@mandriva.org> 0.7-7mdv2009.1
+ Revision: 293827
- about to backports
- adopt to new bluez package layout
- add patch
- switch to new kde3 layout

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - import leif

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Jun 26 2006 Austin Acton <austin@mandriva.org> 0.7-4mdv2007.0
- mkrel
- rebuild for bluez
- configure 2.5

* Mon May 01 2006 Michael Scherer <misc@mandriva.org> 0.7-3mdk
- Rebuild for new openobex, thanks Crispin Boylan
- use mkrel

* Sun Jul 11 2004 Michael Scherer <misc@mandrake.org> 0.7-2mdk 
- rebuild for new gcc

* Fri Apr 30 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7-1mdk
- First Mandrakelinux package
